ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Runtime.Debugger

Synopsis

- pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
- showTerm :: GhcMonad m => Term -> m SDoc
- pprTypeAndContents :: GhcMonad m => Id -> m SDoc

# Documentation

pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m () Source #

The :print & friends commands

showTerm :: GhcMonad m => Term -> m SDoc Source #

pprTypeAndContents :: GhcMonad m => Id -> m SDoc Source #